## AgsAudioUnitServer

AgsAudioUnitServer — audio unit instance

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_AUDIO_UNIT_SERVER_GET_OBJ_MUTEX()
GList * | ags_audio_unit_server_find_url ()
GObject * | ags_audio_unit_server_find_client ()
GObject * | ags_audio_unit_server_find_port ()
void | ags_audio_unit_server_add_client ()
void | ags_audio_unit_server_remove_client ()
void | ags_audio_unit_server_connect_client ()
AgsAudioUnitServer * | ags_audio_unit_server_new ()

## Includes

    #include <ags/audio/audio-unit/ags_audio_unit_server.h>

## Description

The AgsAudioUnitServer is an object to represent a running audio unit instance.

## Functions

### AGS_AUDIO_UNIT_SERVER_GET_OBJ_MUTEX()

    #define AGS_AUDIO_UNIT_SERVER_GET_OBJ_MUTEX(obj) (&(((AgsAudioUnitServer *) obj)->obj_mutex))

### ags_audio_unit_server_find_url ()

    GList *
    ags_audio_unit_server_find_url (GList *audio_unit_server,
                                    gchar *url);

Find AgsAudioUnitServer by url.

#### Parameters

audio_unit_server | the GList containing AgsAudioUnitServer. | [element-type AgsAudio.AudioUnitServer][transfer none]
url | the url to find |

#### Returns

the next matching GList containing a AgsAudioUnitServer matching `url` or `NULL`.

[element-type AgsAudio.AudioUnitServer][transfer none]

Since: 3.0.0

### ags_audio_unit_server_find_client ()

    GObject *
    ags_audio_unit_server_find_client (AgsAudioUnitServer *audio_unit_server,
                                       gchar *client_uuid);

Find AgsAudioUnitClient by uuid.

#### Parameters

audio_unit_server | the AgsAudioUnitServer |
client_uuid | the uuid to find |

#### Returns

the AgsAudioUnitClient found or `NULL`.

[transfer none]

Since: 3.0.0

### ags_audio_unit_server_find_port ()

    GObject *
    ags_audio_unit_server_find_port (AgsAudioUnitServer *audio_unit_server,
                                     gchar *port_uuid);

Find AgsAudioUnitPort by uuid.

#### Parameters

audio_unit_server | the AgsAudioUnitServer |
port_uuid | the uuid to find |

#### Returns

the AgsAudioUnitPort found or `NULL`.

[transfer none]

Since: 3.0.0

### ags_audio_unit_server_add_client ()

    void
    ags_audio_unit_server_add_client (AgsAudioUnitServer *audio_unit_server,
                                      GObject *audio_unit_client);

Add `audio_unit_client` to `audio_unit_server`

#### Parameters

audio_unit_server | the AgsAudioUnitServer |
audio_unit_client | the AgsAudioUnitClient to add |

Since: 3.0.0

### ags_audio_unit_server_remove_client ()

    void
    ags_audio_unit_server_remove_client (AgsAudioUnitServer *audio_unit_server,
                                         GObject *audio_unit_client);

Remove `audio_unit_client` to `audio_unit_server`

#### Parameters

audio_unit_server | the AgsAudioUnitServer |
audio_unit_client | the AgsAudioUnitClient to remove |

Since: 3.0.0

### ags_audio_unit_server_connect_client ()

    void
    ags_audio_unit_server_connect_client (AgsAudioUnitServer *audio_unit_server);

Connect all clients.

#### Parameters

audio_unit_server | the AgsAudioUnitServer |

Since: 3.0.0

### ags_audio_unit_server_new ()

    AgsAudioUnitServer *
    ags_audio_unit_server_new (gchar *url);

Create a new instance of AgsAudioUnitServer.

#### Parameters

url | the URL as string |

#### Returns

the new AgsAudioUnitServer

Since: 3.0.0